---
references:
- id: HuHebbian2014
  accessed:
    - year: 2015
      month: 3
      day: 5
  author:
    - family: Hu
      given: Tao
    - family: Pehlevan
      given: Cengiz
    - family: Chklovskii
      given: Dmitri B.
  citation-key: HuHebbian2014
  container-title: 2014 48th Asilomar Conference on Signals, Systems and Computers
  DOI: 10.1109/ACSSC.2014.7094519
  event-title: 2014 48th Asilomar Conference on Signals, Systems and Computers
  issued:
    - year: 2014
      month: 11
  title: >-
    A Hebbian/Anti-Hebbian Network for Online Sparse Dictionary Learning Derived
    from Symmetric Matrix Factorization
  type: paper-conference
  URL: http://arxiv.org/abs/1503.00690

- id: McSherryDifferential2013
  accessed:
    - year: 2015
      month: 6
      day: 18
  author:
    - family: McSherry
      given: Frank D.
    - family: Isaacs
      given: Rebecca
    - family: Isard
      given: Michael A.
    - family: Murray
      given: Derek G.
  citation-key: McSherryDifferential2013
  issued:
    - year: 2013
      month: 11
      day: 14
  number: US20130304744 A1
  submitted:
    date-parts:
      - - '2012'
        - 5
        - 10
  title: Differential dataflow
  type: patent
  URL: https://www.google.com/patents/US20130304744

- id: MurrayNaiad2013
  accessed:
    - year: 2015
      month: 6
      day: 18
  author:
    - family: Murray
      given: Derek G.
    - family: McSherry
      given: Frank
    - family: Isaacs
      given: Rebecca
    - family: Isard
      given: Michael
    - family: Barham
      given: Paul
    - family: Abadi
      given: Martín
  citation-key: MurrayNaiad2013
  collection-title: SOSP '13
  container-title: >-
    Proceedings of the Twenty-Fourth ACM Symposium on Operating Systems
    Principles
  DOI: 10.1145/2517349.2522738
  event-place: New York, NY, USA
  ISBN: 978-1-4503-2388-8
  issued:
    - year: 2013
  page: 439–455
  publisher: ACM
  publisher-place: New York, NY, USA
  title: 'Naiad: A Timely Dataflow System'
  type: paper-conference
  URL: http://sigops.org/sosp/sosp13/papers/p439-murray.pdf

- id: PanOnline2014
  accessed:
    - year: 2014
      month: 7
      day: 29
  author:
    - family: Pan
      given: Gang
    - family: Zhang
      given: Wangsheng
    - family: Wu
      given: Zhaohui
    - family: Li
      given: Shijian
  citation-key: PanOnline2014
  container-title: PLoS ONE
  container-title-short: PLoS ONE
  DOI: 10.1371/journal.pone.0102799
  issue: '7'
  issued:
    - year: 2014
      month: 7
      day: 25
  page: e102799
  title: Online Community Detection for Large Complex Networks
  type: article-journal
  volume: '9'

- id: RyabkoNonparametric2010
  author:
    - family: Ryabko
      given: Daniil
    - family: Ryabko
      given: Boris
  citation-key: RyabkoNonparametric2010
  container-title: IEEE Transactions on Information Theory
  DOI: 10.1109/TIT.2009.2039169
  ISSN: 0018-9448
  issue: '3'
  issued:
    - year: 2010
      month: 3
  page: 1430-1435
  title: Nonparametric Statistical Inference for Ergodic Processes
  type: article-journal
  URL: http://www.arxiv.org/abs/0804.0510
  volume: '56'

- id: SorensenProgramming2010
  accessed:
    - year: 2015
      month: 1
      day: 13
  author:
    - family: Sorensen
      given: Andrew
    - family: Gardner
      given: Henry
  citation-key: SorensenProgramming2010
  container-title: ACM Sigplan Notices
  DOI: 10.1145/1869459.1869526
  ISBN: 978-1-4503-0203-6
  issued:
    - year: 2010
  language: en
  page: '822'
  publisher: ACM Press
  title: 'Programming with time: cyber-physical programming with impromptu'
  type: paper-conference
  URL: http://eprints.qut.edu.au/55712/1/sorensen_ow_2010.pdf
  volume: '45'
...
